Bug 822507 - Attribute unique in XML metadata
Summary: Attribute unique in XML metadata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 6.4
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 806883
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-17 14:44 UTC by Nate Straz
Modified: 2013-09-19 19:56 UTC (History)
7 users (show)

Fixed In Version: fence-agents-3.1.5-20.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 806883
Environment:
Last Closed: 2013-02-21 07:41:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0286 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2013-02-20 20:36:45 UTC

Description Nate Straz 2012-05-17 14:44:43 UTC
+++ This bug was initially created as a clone of Bug #806883 +++

Cloned to fix agents missed in 6.3.

Attribute unique in XML metadata (-o metadata) is set to TRUE (1) by default in all of the cases. "Unique" should be used only in situation where same value cannot be used across several agents. Fence agents do not have such kind of attributes so default value should be FALSE (0).

--- Additional comment from mgrac@redhat.com on 2012-03-26 08:40:06 EDT ---

Fixed in upstream:

http://git.fedorahosted.org/git/?p=fence-agents.git;a=commit;h=aefb817f08bfa8f2f1b1c1270ad4d697649fa40c

--- Additional comment from nstraz@redhat.com on 2012-05-17 10:10:08 EDT ---

I looked through the metadata generated by all fence agents and found the following agents still produce unique parameters

fence_brocade
fence_drac
fence_egenera
fence_kdump
fence_scsi

Should these fence agents be fixed too?

Comment 4 Marek Grac 2012-10-25 08:55:48 UTC
Unit test:

./fence_? -o metadata | grep unique 

<parameter name="action" unique="0" required="1">
<parameter name="ipaddr" unique="0" required="1">
..

there should be no answer for 

./fence_? -o metadata | grep 'unique="1"'

Comment 7 errata-xmlrpc 2013-02-21 07:41:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0286.html


Note You need to log in before you can comment on or make changes to this bug.